package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.CmBrandAuthProductPo;
import com.caimei.module.base.entity.po.CmBrandProductParamPo;
import lombok.Data;

import java.util.List;

/**
 * @author Aslee
 */
@Data
public class AuthProductVo extends CmBrandAuthProductPo {

    /**
     * 品牌授权logo
     */
    private String authLogo;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 产地
     */
    private String productionPlace;
    /**
     * 防伪链接
     */
    private String securityLink;
    /**
     * 代理标识：0无代理，1有代理
     */
    private Integer agentFlag;
    /**
     * 代理商名称
     */
    private String agentName;
    /**
     * 声明类型：1弹窗声明，2链接声明
     */
    private Integer statementType;
    /**
     * 声明弹窗内容
     */
    private String statementContent;
    /**
     * 声明链接
     */
    private String statementLink;
    /**
     * 被授权方
     */
    private String authParty;
    /**
     * 商品参数
     */
    private List<CmBrandProductParamPo> paramList;
    /**
     * pc商品图片（含水印）
     */
    private String pcImage;
    /**
     * 小程序商品图片（含水印）
     */
    private String appletsImage;
    /**
     * pc授权牌照图片（含水印）
     */
    private String pcCertificateImage;
    /**
     * 小程序授权牌照图片（含水印）
     */
    private String appletsCertificateImage;
}
