package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.Bigtype;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 一级分类
 *
 * @author : Charles
 * @date : 2020/3/16
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class BigtypeVo extends Bigtype {
    /**
     * 二级菜单列表
     */
    private List<SmalltypeVo> SmalltypeList;

    /**
     * 是否选中标识
     */
    private Boolean isChecked;
}
