package com.caimei.module.base.entity.bo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/8/18
 */
@Data
public class LadderPrice implements Serializable {
    private Integer id;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 第几阶梯
     */
    private Integer ladderNum;
    /**
     * 购买数量
     */
    private Integer buyNum;
    /**
     * 购买价格
     */
    private Double buyPrice;
    /**
     * 下一阶数量
     */
    private Integer maxNum;
    /**
     * 显示数量 如：1~3
     */
    private String numRange;

    private static final long serialVersionUID = 1L;
}
